expo-tracking-transparency cannot be installed

Please provide the following:

  1. SDK Version: 40.0
  2. Platforms(Android/iOS/web/all): iOS
  3. Add the appropriate “Tag” based on what Expo library you have a question on.

I see that there is a page for asking tracking transparency permission
which is great. But when I try to install it I get

‘expo-tracking-transparency@latest’ is not in the npm registry.
You should bug the author to publish it (or use the name yourself!)

So here I am bugging the autor to publish. Or am I doing something wrong? Do I need to have SDK 41 for this?

3 Likes

Can confirm the same issue is on SDK41. Please can we get an update on this?

I have the same issue with following error

yarn add expo-tracking-transparency
yarn add v1.22.10
[1/4] Resolving packages…
error An unexpected error occurred: “https://registry.yarnpkg.com/expo-tracking-transparency: Not found”.
info If you think this is a bug, please open a bug report with the information provided in “app name etc”.
info Visit https://yarnpkg.com/en/docs/cli/add for documentation about this command.
yarnpkg exited with non-zero code: 1
Error: yarnpkg exited with non-zero code: 1
at ChildProcess.completionListener (/usr/local/lib/node_modules/expo-cli/node_modules/@expo/spawn-async/src/spawnAsync.ts:65:13)
at Object.onceWrapper (events.js:422:26)
at ChildProcess.emit (events.js:315:20)
at ChildProcess.EventEmitter.emit (domain.js:467:12)
at maybeClose (internal/child_process.js:1048:16)
at Process.ChildProcess._handle.onexit (internal/child_process.js:288:5)

at Object.spawnAsync [as default] (/usr/local/lib/node_modules/expo-cli/node_modules/@expo/spawn-async/src/spawnAsync.ts:26:19)
at YarnPackageManager._runAsync (/usr/local/lib/node_modules/expo-cli/node_modules/@expo/package-manager/src/NodePackageManagers.ts:309:31)
at YarnPackageManager.addAsync (/usr/local/lib/node_modules/expo-cli/node_modules/@expo/package-manager/src/NodePackageManagers.ts:258:16)
at installAsync (/usr/local/lib/node_modules/expo-cli/src/commands/install.ts:115:3)
at Command. (/usr/local/lib/node_modules/expo-cli/src/exp.ts:350:7)

The package is not in Yarn registry

Hey all, as you have noticed, we have not yet published the package to npm/yarn. We will follow up here when we do. Sorry for the confusion.

Cheers,
Adam

Hello Adam, could you provide an ETA? This is blocking our product until we can implement ATT. Thanks.

In the mean time, here’s a workaround:

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.